## stress-ng 0.01.32

=== Makefile ===
VERSION=0.01.32
#
# Codename "chronically fatigued"
#

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

BINDIR=/usr/bin
MANDIR=/usr/share/man/man1

OBJS = stress-ng.o helper.o

stress-ng: $(OBJS)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm -lrt -lpthread -o $@ $(LDFLAGS)

stress-ng.1.gz: stress-ng.1
	gzip -c $< > $@

dist:
	rm -rf stress-ng-$(VERSION)
	mkdir stress-ng-$(VERSION)
	cp -rp Makefile stress-ng.c helper.c stress-ng.1 COPYING stress-ng-$(VERSION)
	tar -zcf stress-ng-$(VERSION).tar.gz stress-ng-$(VERSION)
	rm -rf stress-ng-$(VERSION)

clean:
	rm -f stress-ng $(OBJS) stress-ng.1.gz
	rm -f stress-ng-$(VERSION).tar.gz

install: stress-ng stress-ng.1.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp stress-ng ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp stress-ng.1.gz ${DESTDIR}${MANDIR}

=== debian/changelog ===
stress-ng (0.01.32-1) unstable; urgency=medium

  * Makefile: bump version
  * Handle forced abort and tidy up when errors occur during start up
  * Add more termination checks to try to abort faster
  * Fix --sched option that had missing .TP
  * Remove duplicate const
  * Neaten up the see also list

 -- Colin King <colin.king@canonical.com>  Thu, 28 Aug 2014 00:21:01 +0100

stress-ng (0.01.31-1) unstable; urgency=medium

  * Makefile: bump version
  * Minor fix-ups in man page
  * Re-order globals, saves 8 bytes
  * Make mwc uint64_t
  * Add some more comments
  * Remove DIV_OPS_BY_PROCS macro
  * Fix --keep-name help info (order and missing ')
  * Fix --sched man page option

 -- Colin King <colin.king@canonical.com>  Tue, 19 Aug 2014 15:47:28 +0100

stress-ng (0.01.30-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix up a few resource leaks
  * Add format length specifier to scanf on integers
  * Minor var cleanup from cppcheck
  * Re-work help info
  * Remove common functionality, make code smaller
  * Free procs more rigorously.
  * Clear sigqueue union, keeps valgrind happy
  * Free procs info at exit
  * Add more information in man page
  * Re-use stressor names in checks
  * Cast max_ops to (void) to avoid unused var warnings
  * Add --vm-locked option and force cpu affinity changes on cache stress
  * Fix spelling mistake in man page
  * Remove some extraneous white spaces
  * Remove commas from nunbers in help
  * Align help info
  * Remove redundant code that got accidently left in
  * Simplify hogs message
  * Keep track of per stress test ops count in opt_ops array
  * Add -P, --poll, --poll-ops zero timeout polling stress test
  * Add -k, --keep-name option to not change name of stress processes
  * Add -r, --random option to create N random stress processes

 -- Colin King <colin.king@canonical.com>  Tue, 5 Aug 2014 17:25:01 +0100

stress-ng (0.01.29-1) unstable; urgency=medium

  * Makefile: bump version
  * Use si_value.sival_int instead of info.si_int (Closes: #756787)
  * Fix incorrect nesting of OPT_SIGQUEUE*

 -- Colin King <colin.king@canonical.com>  Fri, 1 Aug 2014 23:25:23 +0100

stress-ng (0.01.28-1) unstable; urgency=medium

  * Makefile: bump version, change codename
  * Add sigqueue and sigwaitinfo stress, new --sigq, --siqq-ops options
  * Make mwc inline
  * Make opt_do_run volatile
  * Make -O2 default
  * Remove numerous printfs in help info
  * Remove lots of duplicate stress test names from code
  * Fixup print % qualifier
  * Clean all objects on make clean

 -- Colin King <colin.king@canonical.com>  Wed, 30 Jul 2014 10:25:00 +0100

stress-ng (0.01.27-1) unstable; urgency=medium

  * Makefile: bump version
  * Add more info to man page
  * Add open stress test
  * Fix bug in semaphore range checking
  * Fix dbg message for stress_int
  * Add some more comments
  * Add more information in man page
  * Increase the -l option accuracy by biasing by the select() overhead time
  * Add missing comma to output

 -- Colin King <colin.king@canonical.com>  Tue, 29 Jul 2014 00:33:31 +0100

stress-ng (0.01.26-1) unstable; urgency=medium

  * Makefile: bump version
  * Add semaphore stress, --sem and --sem-ops options

 -- Colin King <colin.king@canonical.com>  Sun, 27 Jul 2014 16:24:22 +0100

stress-ng (0.01.25-1) unstable; urgency=medium

  * Makefile: bump version
  * More aggresive process termination to kill any lingering processes

 -- Colin King <colin.king@canonical.com>  Sun, 20 Jul 2014 18:05:01 +0100

stress-ng (0.01.24-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add helper.c to make dist
  * Add integer stressor, --int and --int-ops options
  * urandom: cater for non-linux builds
  * Add --float and --float-ops floatin point stressors
  * Add urandom stress, -u, --urandom and --urandom-ops options
  * Make timer stress more responsive to SIGINTs
  * Forgot to add 'T' option to getopt

 -- Colin King <colin.king@canonical.com>  Sun, 20 Jul 2014 17:38:43 +0100

stress-ng (0.01.23-1) unstable; urgency=medium

  * Makefile: bump version
  * Add snappier process termination
  * Add -h option
  * Add more debug on exit paths
  * Add more checking on sigaction
  * Minor code tidy up
  * Move time_now()
  * Use timeval helper in time_now()
  * Fix build error on GNU HURD

 -- Colin King <colin.king@canonical.com>  Mon, 14 Jul 2014 11:49:41 +0100

stress-ng (0.01.22-1) unstable; urgency=medium

  * Makefile: bump version
  * Add directory entry thrashing
  * Track ftruncate errors

 -- Colin King <colin.king@canonical.com>  Sun, 13 Jul 2014 17:19:05 +0100

stress-ng (0.01.21-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove need for rand, it makes Coverity Scan complain
  * Check for freq divide by zero
  * Add in __linux__ build dependency on timers
  * Add timer stress test --timer, --timer-ops and --timer-freq options
  * Note that affinity options linux only in man page
  * opt_affinity_ops is linux only
  * Fix man page -F option
  * Add CPU affinity stress processes, add --affinity and --affinity-ops options

 -- Colin King <colin.king@canonical.com>  Sat, 12 Jul 2014 21:50:00 +0100

stress-ng (0.01.20-1) unstable; urgency=medium

  * Makefile: bump version
  * Ignore return from ftruncate, we don't care
  * Fix spelling mistakes
  * Standardise error messages
  * Remove extraneous pid at end of pr_* messages
  * Add more information when error occurs

 -- Colin King <colin.king@canonical.com>  Mon, 7 Jul 2014 20:00:00 +0100

stress-ng (0.01.19-1) unstable; urgency=medium

  * Makefile: bump version
  * Willfully ignore posix_fallocate() failures, we don't care
  * Terminate and tidy up flock stress temp file
  * Update help information
  * Make conditional stress tests no-ops rather than not including them
  * Add file locking stress, --flock and --flock-ops options
  * Add --vm-populate option
  * Add fallocate test and -F, --fallocate, --fallocate-ops options


=== debian/control ===
Source: stress-ng
Section: devel
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9)
Homepage: http://kernel.ubuntu.com/~cking/stress-ng

Package: stress-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to load and stress a computer
 stress-ng can stress various subsystems of a computer. One
 can load CPU, memory, I/O sync, disk writes, forks and context
 switches.  It is a re-write of the original stress tool by
 Amos Waterland but has addition features such as specifying
 the number of bogo operations to run, execution metrics and
 two additional stress mechanisms.

## stress-ng 0.03.15

=== Makefile ===
#
# Copyright (C) 2013-2015 Canonical, Ltd.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

VERSION=0.03.15
#
# Codename "stressed silicon"
#

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

BINDIR=/usr/bin
MANDIR=/usr/share/man/man1

SRC =   stress-affinity.c \
	stress-aio.c \
	stress-bigheap.c \
	stress-brk.c \
	stress-bsearch.c \
	stress-cache.c \
	stress-chmod.c \
	stress-clock.c \
	stress-cpu.c \
	stress-dentry.c \
	stress-dir.c \
	stress-dup.c \
	stress-epoll.c \
	stress-eventfd.c \
	stress-fallocate.c \
	stress-fault.c \
	stress-fifo.c \
	stress-flock.c \
	stress-fork.c \
	stress-fstat.c \
	stress-futex.c \
	stress-get.c \
	stress-hdd.c \
	stress-hsearch.c \
	stress-inotify.c \
	stress-iosync.c \
	stress-kill.c \
	stress-lease.c \
	stress-lsearch.c \
	stress-link.c \
	stress-lockf.c \
	stress-malloc.c \
	stress-memcpy.c \
	stress-mincore.c \
	stress-mmap.c \
	stress-mremap.c \
	stress-msg.c \
	stress-mq.c \
	stress-nice.c \
	stress-noop.c \
	stress-null.c \
	stress-open.c \
	stress-pipe.c \
	stress-poll.c \
	stress-procfs.c \
	stress-pthread.c \
	stress-qsort.c \
	stress-rdrand.c \
	stress-rename.c \
	stress-seek.c \
	stress-sem.c \
	stress-sem-sysv.c \
	stress-sendfile.c \
	stress-shm-sysv.c \
	stress-sigfd.c \
	stress-sigfpe.c \
	stress-sigsegv.c \
	stress-sigq.c \
	stress-socket.c \
	stress-splice.c \
	stress-stack.c \
	stress-switch.c \
	stress-sysinfo.c \
	stress-timer.c \
	stress-tsearch.c \
	stress-udp.c \
	stress-urandom.c \
	stress-utime.c \
	stress-vecmath.c \
	stress-vm.c \
	stress-vm-rw.c \
	stress-vm-splice.c \
	stress-wait.c \
	stress-yield.c \
	stress-zero.c \
	coredump.c \
	helper.c \
	io-priority.c \
	limit.c \
	log.c \
	madvise.c \
	mincore.c \
	mounts.c \
	mwc.c \
	net.c \
	out-of-memory.c \
	parse-opts.c \
	proc-name.c \
	sched.c \
	time.c \
	stress-ng.c

OBJS = $(SRC:.c=.o)

.SUFFIXES: .c .o

.o: stress-ng.h Makefile

.c.o: stress-ng.h Makefile $(SRC)
	@echo $(CC) $(CFLAGS) -c -o $@ $<
	@$(CC) $(CFLAGS) -c -o $@ $<

stress-ng: $(OBJS)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm -lpthread -lrt -o $@ $(LDFLAGS)

stress-cpu.o: stress-cpu.c
	@echo $(CC) $(CFLAGS) -c -o $@ $<
	@echo "_Decimal32 x;" > test-decimal.c
	@$(CC) $(CPPFLAGS) -c -o test-decimal.o test-decimal.c 2> /dev/null || true
	@if [ -e test-decimal.o ]; then \
		$(CC) $(CFLAGS) -DSTRESS_FLOAT_DECIMAL -c -o $@ $< ;\
	else \
		$(CC) $(CFLAGS) -c -o $@ $< ;\
	fi
	@rm -f test-decimal.c test-decimal.o

$(OBJS): stress-ng.h Makefile

stress-ng.1.gz: stress-ng.1
	gzip -c $< > $@

dist:
	rm -rf stress-ng-$(VERSION)
	mkdir stress-ng-$(VERSION)
	cp -rp Makefile $(SRC) stress-ng.h stress-ng.1 \
		COPYING syscalls.txt mascot \
		stress-ng-$(VERSION)
	tar -zcf stress-ng-$(VERSION).tar.gz stress-ng-$(VERSION)
	rm -rf stress-ng-$(VERSION)

clean:
	rm -f stress-ng $(OBJS) stress-ng.1.gz
	rm -f stress-ng-$(VERSION).tar.gz
	rm -f test-decimal.c

install: stress-ng stress-ng.1.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp stress-ng ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp stress-ng.1.gz ${DESTDIR}${MANDIR}

=== debian/changelog ===
stress-ng (0.03.15-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1420154)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 21 Feb 2015 22:51:35 +0100

stress-ng (0.03.15-1) unstable; urgency=medium

  * Makefile: bump version
  * Don't make sieve static, it wastes space in the executable
  * Keep make quiet on builds that don't support _Decimal types
  * Makefile: more smarts to conditionally build stress-cpu
  * remove STRESS_FLOAT_DECIMAL
  * Try to build with _Decimal* floats, if fail, build without
  * Check for __int128 and _Decimal support
  * Don't complain about IPC_RMID failure if it's already been reaped
  * Don't report sem-op errors on EINTR
  * Only report OOM restarts and nomems if they actually occurred
  * stress-chmod: remove some unnecessary debug info
  * stress-socket: don't emit errno if EINTR
  * stress-udp: don't emit errno if EINTR
  * stress-chmod: only report number of retries if a retry occurred
  * stress-stack: handle OOM killer with monitoring parent
  * Add set_max_limits() to push user limits to maximum allowed
  * stress-cpu: re-work math stressors with macros
  * Add decimal{32|64|128} math ops in cpu stressor
  * Re-work floating point and complex floating point stressors
  * Re-work int stressors to use generic macro, and add int128 test

 -- Colin King <colin.king@canonical.com>  Mon, 9 Feb 2015 23:28:00 +0000

stress-ng (0.03.14-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix build warning for systems w/o _SC_PAGESIZE
  * Make semaphore creation non-fatal
  * Fix a few warnings on gcc 4.5.3 (NetBSD)
  * Make STRESS_SIGFD linux only
  * Re-order sendfile #define
  * Re-order hdd and hsearch #defines
  * Forgot to make futex linux only
  * Typo: replace __linux with __linux__
  * Use pow since powl has less precision than advertised warning on FreeBSD
  * Forgot to remove mremap from help if non-Linux
  * Update manual, stress-mremap is linux only
  * Make mremap test linux only
  * stress-mremap: move to using page size helper
  * Add helper to get cpu clock ticks
  * Add number of processors online helper.
  * Add page size helper, we don't need to repeat the sysconf calls
  * Add malloc stressor
  * Add some more comments
  * Clean up BSD workarounds
  * stress-brk: wrap an overly long line
  * Add memory remapping stressor
  * Turn off madvise DONTNEED as it can cause us checking errors
  * Add another NetBSD long double workaround
  * stress-hdd - don't allow fadvise on GNU HURD
  * Add vmsplice stressor
  * Correct error message on pipe failure
  * Fix up latest stressors, re-order options and add vm-rw-* help
  * Add splice stressor
  * Add vm-rw stressor
  * Add read64 and write64 vm memory stress methods.

 -- Colin King <colin.king@canonical.com>  Thu, 5 Feb 2015 15:22:10 +0000

stress-ng (0.03.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Cater for non-existent long double math functions in NetBSD
  * mounts: forgot to handle NetBSD in mount detection
  * Make mounts build for NetBSD too
  * Disabled stress-wait for NetBSD - can't see how to do CONT sig wait
  * Cater for systems that do not have MAP_ANONYMOUS
  * Add NetBSD support to stress-stack
  * Make vector gcc'isms compile in for modern versions of gcc only
  * stress-hdd: void unused params
  * Also catch SIGILL for FreeBSD
  * Remove trapping of SIGILL
  * stress-qsort: fix cmp3 byte-wise re-ordering
  * include signal.h in stress-pthread to fix FreeBSD build
  * Minor source reformatting on stress-ng.c
  * Reduce the precision and number of iterations for nsqrt
  * stress-shm-sysv: also shrink and re-try if ENOMEM occurs
  * Add some feedback of shm-sysv had to shrink shared memory size
  * Cater for EINVAL on shmget if size is too large.
  * Mungify stressor names when invoking the stressor
  * Drop default System V shared memory size to 8MB for *BSD kernels
  * Add check for BSD invalid chmod mode bits error
  * Fix printing of stressor names, some names too long and _ -> - conversion
  * stress-cache: put { } braces around cflush and mfence
  * stress-mq: intialise mq to -1 to avoid gcc warning (false positive)
  * Add full read checks in stress-hdd read stressor loops
  * stress-hdd: remove debug cruft
  * Forgot to escape some - hyphens in manual
  * Stress-hdd: remove ad-hoc open flags, replace with --hdd-opts option
  * Manual: fix spelling, destory -> destroy
  * Add vector maths stressor
  * Man page: naive -> naïve
  * Manual, lease-breakers: for --> to
  * Don't handle SIGSEGV and SIGBUS
  * Don't build sem-sysv for GNU HURD
  * Add sections of man pages for sys calls and libc functions
  * Add System V shared memory stress test
  * Fix error path on SYSV sem creation - need to reap semaphore
  * Re-work POSIX sem test to be aligned with SYSV sem test
  * Remove POSIX semaphore header, not required
  * Add System V semaphore stressor

 -- Colin King <colin.king@canonical.com>  Sun, 1 Feb 2015 15:22:10 +0000

stress-ng (0.03.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Add udp to --help output
  * remove need to setup unix pathname in stress-socket
  * stress-epoll: use net helper funcs
  * stress-mq: memset msg to zero to stop valgrind complaining
  * Clear epoll_event struct; warning from valgrind
  * Add net helper functions, refactor udp and socket stressors
  * Add udp stressor
  * Reduce the minimum timer frequency to 1Hz
  * Remove duplicate error message in rdrand stressor
  * Correct error messages, removed "failed" and trailing "\n"
  * Clear alternative signal stack, stops cppcheck warning
  * Limit sscanf field to avoid overflows
  * Remove memory locking, it wasn't such a good idea after all

 -- Colin King <colin.king@canonical.com>  Thu, 29 Jan 2015 11:49:00 +0000

stress-ng (0.03.11-1) unstable; urgency=medium

  * Makefile: bump version
  * Add --hdd-sync, --hdd-dsync, --hdd-direct, --hdd-noatime options
  * Add sigfd stressor


=== debian/control ===
Source: stress-ng
Section: devel
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)
Homepage: http://kernel.ubuntu.com/~cking/stress-ng

Package: stress-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to load and stress a computer
 stress-ng can stress various subsystems of a computer.
 It can stress load CPU, cache, disk, memory, socket
 and pipe I/O, scheduling and much more.  stress-ng is
 a re-write of the original stress tool by
 Amos Waterland but has additional features such as
 specifying the number of bogo operations to run,
 execution metrics, a stress verification on memory
 and compute operations and many more stress mechanisms.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@

=== debian/watch ===
version=3
http://kernel.ubuntu.com/~cking/tarballs/stress-ng/stress-ng-(.+).tar.gz

## stress-ng 0.03.20

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.03.15
+VERSION=0.03.20
 #
-# Codename "stressed silicon"
+# Codename "severely stressed silicon"
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
@@ -52,12 +52,15 @@
 	stress-hsearch.c \
 	stress-inotify.c \
 	stress-iosync.c \
+	stress-kcmp.c \
 	stress-kill.c \
 	stress-lease.c \
 	stress-lsearch.c \
 	stress-link.c \
 	stress-lockf.c \
+	stress-longjmp.c \
 	stress-malloc.c \
+	stress-matrix.c \
 	stress-memcpy.c \
 	stress-mincore.c \
 	stress-mmap.c \

=== debian/changelog ===
stress-ng (0.03.20-1) unstable; urgency=medium

  * Makefile: bump version
  * sched: Fix build warning on get_sched_name on GNU HURD
  * stress-hdd: Fix incorrect format specifier %zu for a uint64_t
  * stress-fallocate: Fix off_t printf warnings on 32 bit GNU HURD
  * Fix resource leak (file descriptor) on error exit of stress-hdd
  * Fix Manual, clarify the action of hdd stressor
  * stress-aio: reduce scope of ret
  * Fix missing stressor name in pr_err() messages
  * Fix missing stressor name in pr_inf() and pr_dbg() messages
  * Fix missing stressor name in pr_fail() messages
  * stress-hdd: fix verify mode for hdd stressor
  * stress-hdd: fix missing read if no read preference specified
  * sched: fix default priority levels and lack of class name in messages
  * stress-hdd: fix read of end of file when generated with random writes
  * Fix extraneous leading space after the "hogs:" message
  * stress-hdd: fix false error reports on short reads
  * stress-hdd: fix noisy "incomplete reads" debug message
  * stress-fallocate: fix incorrect errors reported on fallocate sizes
  * stress-fallocate: fix error messages, they are rather meaningless
  * stress-aio: report correct errno on async error
  * stress-aio: handle EAGAIN and EINTR correctly
  * stress-hdd: POSIX_FADV_RND should be POSIX_FADV_RANDOM

 -- Colin King <colin.king@canonical.com>  Thu, 26 Feb 2015 17:17:00 +0000

stress-ng (0.03.19-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-sem: fix spelling mistake in comment: destory -> destroy
  * Manual: fix spelling mistake: successfull -> sucessful
  * Manual: fix typo: summaries -> summarise
  * Manual: vecmath: Replace x with \(mu multiply sign for correct formatting
  * Manual: Fix udp port description, add the default base port being used.
  * Manual: remove deprecated --hdd-sync option
  * Manual: fix typo: mremmap -> remap
  * Manual: Replace x with \(mu multiply sign
  * Manual: Fix typo: randonly -> randomly
  * Manual: Fix spelling mistake: hightest -> highest
  * Manual: Correct description for --fifo option
  * Manual: Fix spelling mistake and epoll_wait section
  * Rename id to s_id to stop variable shadowing
  * Move scope of j, removes shadowing of j too.
  * stress-aio: clean up clang warnings on integer conversions
  * Re-format and slightly re-word debian control description text
  * Remove trailing white spaces from lines and empty lines
  * Remove duplicated changelog entries
  * Fix macro expansion overflows on 32 bit architectures
  * stress-matrix: clean up some more cppcheck style warnings
  * stress-longjmp: move counter c, cleans up cppcheck style warning
  * stress-inotify: fix buffer bounds checking on inotify input
  * stress-ng: remove some debug that never got printed
  * stress-pipe: ret should be ssize_t
  * stress-hdd: ret should be ssize_t
  * stress-mmap: better error handling on write
  * out-of-memory: add better write error checking
  * stress-null: better error handling on write
  * stress-lockf: better error handling on write
  * stress-fault: better error handling on write
  * stress-vm-rw: better error handling on read/write
  * stress-sigfd: better error handling on read
  * stress-seek: better error handling on read/write
  * stress-procfs: better error handling on read
  * stress-poll: better error handling on read/write
  * stress-pipe: better error handling on read/write
  * stress-inotify: better error handling on read/write
  * stress-hdd: better error handling on read/write
  * stress-switch: cater for zero write w/o error
  * stress-fifo: better error handling on read/write
  * stress-pipe: better error handling on read/write
  * stress-urandom: better error handling on read
  * stress-zero: better error handling on read
  * stress-eventfd: better read/write handling
  * print correct number of hogs when --class is used

 -- Colin King <colin.king@canonical.com>  Mon, 23 Feb 2015 15:58:00 +0000

stress-ng (0.03.18-1) unstable; urgency=medium

  * Makefile: bump version
  * Move order of hadamard matrix method, now in alphabetical order
  * Fix macro typos - STESS -> STRESS (LP: #1423241)
  * Add in matrix info into help

 -- Colin King <colin.king@canonical.com>  Wed, 18 Feb 2015 16:08:00 +0000

stress-ng (0.03.17-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix name clash on union on *BSD systems
  * Explicitly ignore return from wait*() calls by (void) cast
  * Add minimize/maximize to matrix size
  * Add --cache-prefetch option
  * Make opt_sequential int32 and print out hogs if --seq is being used
  * Handle builds for system calls that don't exist
  * stress-vm-rw: include missing header
  * Ignore args in kcmp for systems that don't support this call
  * Forgot ULL after fibonacci uint64_t assignment, warning on 32 bit mips
  * Add longjmp stressor
  * Constify a few more function args
  * Add in some shifts to vecmath
  * Constify a few more func args
  * Make cache no-ops into do {} while (0) statement
  * Move PR_* bit flags to bottom nybble, makes stress-ng smaller
  * Fix spelling mistake in manual: subtrace -> subtract
  * Forgot to capitalise the matrix product methods
  * Add two more matrix product methods
  * man page: long double floats -> floats for matrix
  * Add matrix stressor with a bunch of stressor methods
  * stress-shm-sysv: initialise shm_ids as -1 to indicate not set
  * Use semun union when passing values to semctl, fixes powerpc segfault
  * stress-rdrand: move #includes to fix build warning on ARM
  * Make mallopt code depend on GNUC and linux
  * Reduce MAX stress-fallocate allocation size for 32 bit systems
  * Move #includes in io-priority to stop build warnings
  * Add --malloc-thresh tuneable option
  * Used #if defined(...) consistently.
  * Munge stressor names when showing hoggers
  * Remove repeated #if defined() checks, simplify them into stress-ng.h
  * Add another example to the manual
  * Increase maximum lease breakers


=== debian/control ===
Source: stress-ng
Section: devel
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)
Homepage: http://kernel.ubuntu.com/~cking/stress-ng

Package: stress-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to load and stress a computer
 stress-ng can stress various subsystems of a computer.  It can stress load
 CPU, cache, disk, memory, socket and pipe I/O, scheduling and much more.
 stress-ng is a re-write of the original stress tool by Amos Waterland but
 has many additional features such as specifying the number of bogo operations
 to run, execution metrics, a stress verification on memory and compute
 operations and considerably more stress mechanisms.

## stress-ng 0.04.20

=== Makefile ===
--- 
+++ 
@@ -16,25 +16,30 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.03.20
-#
-# Codename "severely stressed silicon"
-#
-
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
+VERSION=0.04.20
+#
+# Codename "break and beleaguer"
+#
+
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man1
 
 SRC =   stress-affinity.c \
 	stress-aio.c \
+	stress-aio-linux.c \
 	stress-bigheap.c \
 	stress-brk.c \
 	stress-bsearch.c \
 	stress-cache.c \
+	stress-chdir.c \
 	stress-chmod.c \
 	stress-clock.c \
+	stress-clone.c \
+	stress-context.c \
 	stress-cpu.c \
+	stress-crypt.c \
 	stress-dentry.c \
 	stress-dir.c \
 	stress-dup.c \
@@ -42,17 +47,22 @@
 	stress-eventfd.c \
 	stress-fallocate.c \
 	stress-fault.c \
+	stress-fcntl.c \
 	stress-fifo.c \
 	stress-flock.c \
 	stress-fork.c \
 	stress-fstat.c \
 	stress-futex.c \
 	stress-get.c \
+	stress-getrandom.c \
 	stress-hdd.c \
 	stress-hsearch.c \
+	stress-icache.c \
 	stress-inotify.c \
 	stress-iosync.c \
+	stress-itimer.c \
 	stress-kcmp.c \
+	stress-key.c \
 	stress-kill.c \
 	stress-lease.c \
 	stress-lsearch.c \
@@ -62,22 +72,31 @@
 	stress-malloc.c \
 	stress-matrix.c \
 	stress-memcpy.c \
+	stress-memfd.c \
 	stress-mincore.c \
+	stress-mlock.c \
 	stress-mmap.c \
+	stress-mmapfork.c \
+	stress-mmapmany.c \
 	stress-mremap.c \
 	stress-msg.c \
 	stress-mq.c \
 	stress-nice.c \
 	stress-noop.c \
 	stress-null.c \
+	stress-numa.c \
 	stress-open.c \
 	stress-pipe.c \
 	stress-poll.c \
 	stress-procfs.c \
 	stress-pthread.c \
+	stress-ptrace.c \
+	stress-quota.c \
 	stress-qsort.c \
 	stress-rdrand.c \
+	stress-readahead.c \
 	stress-rename.c \
+	stress-rlimit.c \
 	stress-seek.c \
 	stress-sem.c \
 	stress-sem-sysv.c \
@@ -85,16 +104,24 @@
 	stress-shm-sysv.c \
 	stress-sigfd.c \
 	stress-sigfpe.c \
+	stress-sigpending.c \
 	stress-sigsegv.c \
+	stress-sigsuspend.c \
 	stress-sigq.c \
 	stress-socket.c \
+	stress-socketpair.c \
 	stress-splice.c \
 	stress-stack.c \
+	stress-str.c \
 	stress-switch.c \
 	stress-sysinfo.c \
+	stress-sysfs.c \
+	stress-tee.c \
 	stress-timer.c \
+	stress-timerfd.c \
 	stress-tsearch.c \
 	stress-udp.c \
+	stress-udp-flood.c \
 	stress-urandom.c \
 	stress-utime.c \
 	stress-vecmath.c \
@@ -102,8 +129,11 @@
 	stress-vm-rw.c \
 	stress-vm-splice.c \
 	stress-wait.c \
+	stress-wcstr.c \
+	stress-xattr.c \
 	stress-yield.c \
 	stress-zero.c \
+	stress-zombie.c \
 	coredump.c \
 	helper.c \
 	io-priority.c \
@@ -111,13 +141,16 @@
 	log.c \
 	madvise.c \
 	mincore.c \
+	mlock.c \
 	mounts.c \
 	mwc.c \
 	net.c \
 	out-of-memory.c \
 	parse-opts.c \
+	perf.c \
 	proc-name.c \
 	sched.c \
+	thermal-zone.c \
 	time.c \
 	stress-ng.c
 
@@ -132,7 +165,7 @@
 	@$(CC) $(CFLAGS) -c -o $@ $<
 
 stress-ng: $(OBJS)
-	$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm -lpthread -lrt -o $@ $(LDFLAGS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm -pthread -lrt -lcrypt -o $@ $(LDFLAGS)
 
 stress-cpu.o: stress-cpu.c
 	@echo $(CC) $(CFLAGS) -c -o $@ $<
@@ -145,6 +178,14 @@
 	fi
 	@rm -f test-decimal.c test-decimal.o
 
+stress-str.o: stress-str.c
+	@echo $(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
+	@$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
+
+stress-wcstr.o: stress-wcstr.c
+	@echo $(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
+	@$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
+
 $(OBJS): stress-ng.h Makefile
 
 stress-ng.1.gz: stress-ng.1
@@ -154,7 +195,7 @@
 	rm -rf stress-ng-$(VERSION)
 	mkdir stress-ng-$(VERSION)
 	cp -rp Makefile $(SRC) stress-ng.h stress-ng.1 \
-		COPYING syscalls.txt mascot \
+		COPYING syscalls.txt mascot README README.Android \
 		stress-ng-$(VERSION)
 	tar -zcf stress-ng-$(VERSION).tar.gz stress-ng-$(VERSION)
 	rm -rf stress-ng-$(VERSION)

=== debian/changelog ===
stress-ng (0.04.20-1) unstable; urgency=medium

  * Makefile: bump version
  * cater for system V and BSD variants of setpgrp
  * stress-fifo: avoid blocking on reader to avoid deadlock (LP: #1497268)
  * stress-readahead: give feedback on premature exit
  * stress-aio: no need to free io_reqs, its now on the stack
  * Put all child processes under the parents process group ID (LP: #1497236)
  * Remove SIGUSR1 and SIGUSR2 trapping, we don't need to trap these
  * stress-fifo: check for run flag in child loop
  * stress-eventfd: check for run flag in child loop
  * stress-epoll: check for run flag on recv loop
  * stress-mq: check for run flag in child loop
  * stress-msg: check for run flag in child loop
  * stress-pipe: check for run flag in child loop
  * stress-sigfd: check for run flag in child loop
  * stress-socket: check for run flag in child loop
  * stress-switch: check for run flag in child loop
  * stress-tee: check for run flag in child loop
  * stress-vm-rw: check for run flag in child loop
  * stress-sigq: check for run flag in child loop
  * stress-kcmp: check for run flag in child loop
  * stress_sigsuspend: check for run flag in child loop
  * stress-socket-pair: check for run flag rather in child loop
  * stress-pipe: bail out on zero byte pipe reads (LP: #1496966)
  * stress-futex: bail out after 0.5 seconds of failed waits (LP: #1496963)
  * stress-clone: remove CLONE_VM unsharing (LP: #1496957)
  * stress-sigsuspend: remove spinlock to remove contention (LP: #1496439)
  * Put stack in per clone struct, reduce stack size
  * stress-aio: cancel signal handler at end of test (LP: #1496340)

 -- Colin King <colin.king@canonical.com>  Fri, 18 Sep 2015 15:38:00 +0100

stress-ng (0.04.19-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-cpu: data and idct should be floats for idct (LP: #1495882)
  * stress-cpu: use hex initialisers for G constants instead of binary
  * stress-numa: fix out of bounds memory read on ARM64 (LP: #1495761)

 -- Colin King <colin.king@canonical.com>  Tue, 15 Sep 2015 10:43:11 +0100

stress-ng (0.04.18-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix singular/plural of "stressors spawned" message (LP: #1494797)
  * stress-ureadahead: provide feed back when timout occurs (LP: #1494784)
  * stress-timer, itimer: fix termination hangs (LP: #1494751)

 -- Colin King <colin.king@canonical.com>  Fri, 11 Sep 2015 16:24:42 +0100

stress-ng (0.04.17-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-fstat: open devices with O_NONBLOCK (LP: #1493717)
  * stress-epoll: ensure addr is initialised to NULL
  * stress-vm: Add sanity check for rowhammer sizes
  * stress-timer: fix incorrect setting of timer
  * stress-itimer: fix incorrect setting of timer
  * stress-shm-sysv: remove dead initialisation of sz
  * stress-hsearch: remove dead initialisation of max
  * thermal-zone: remove dead initialisation
  * stress-epoll: remove redundant retries assignment
  * stress-socket: remove redundant retries assignment

 -- Colin King <colin.king@canonical.com>  Wed, 9 Sep 2015 09:08:00 +0100

stress-ng (0.04.16-1) unstable; urgency=medium

  * Makefile: bump version
  * Don't build in stress-clone features if clone() not available
  * stress-clone: add unshare call
  * stress-get: add timex info get
  * Update syscalls.txt with clone
  * Add clone stressor
  * Add the 8-queens solver to the CPU stressor
  * stress-key: add build checks on KEYCTL_* features

 -- Colin King <colin.king@canonical.com>  Mon, 7 Sep 2015 10:03:00 +0100

stress-ng (0.04.15-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix --vm-keep, it should be setting opt_flags
  * Update man page contributions

 -- Colin King <colin.king@canonical.com>  Mon, 17 Aug 2015 08:41:00 -0700

stress-ng (0.04.14-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: control: don't depend on libkeyutils-dev for some arches
  * Don't parse NULL exclude list

 -- Colin King <colin.king@canonical.com>  Thu, 30 Jul 2015 12:48:00 +0100

stress-ng (0.04.13-1) unstable; urgency=medium

  * Makefile: bump version, change code name
  * Move exclude parsing after we have parsed all the stressor options
  * stress-ng: fix unitialised n, found by clang
  * stress-key: handle clean up when we bail out early
  * stress-stack should not be part of the CPU stress class
  * Add the -x, --exclude test exclusion option
  * Add libkeyutils-dev to debian control
  * Update syscalls list
  * Add key stressor (keyctl, add_key)
  * stress-kcmp: bail out early after 5 kcmp test failures per instance
  * Remove some trailing white spaces from lines
  * stress-vm: replace logic with simplified version
  * stress-vm: parenthesis around macro definition
  * stress-rdrand: add more useful debug stats
  * Add instruction cache stressor
  * helper: fix spelling mistake
  * Manual: fix a few spelling mistakes
  * stress-str: make index a register size_t type
  * stress-wdstr: make index a register size_t type
  * stress-wait: tidy up formatting of function args
  * stress-mmapmany: use STRESS_MAX macro
  * stress-mmapfork: minor variable cleanup
  * stress-inotify: make mk_filename static
  * stress-matrix: replace #defined MATRIX_TYPE with typedef
  * coredump: make string static
  * mounts: make mount_add static, clean up code a bit
  * Put MIN/MAX macros into stress-ng.h
  * Small amount of white space empty line clean up
  * Unify SET/GET/CLR macros
  * stress-futex: move futex info into futex struct
  * stress-sem-sysv: move sem sysv info into sem_sysv struct
  * stress-sem-posix: move sem and init into sem_posix struct
  * stress-xattr: add flistxattr calls
  * Minor change to error message
  * Fix typo in man page, exerised -> exercised
  * stress-mq: use correct stressor name in dbg messages
  * stress-mq: add occasional use of mq_getattr()
  * Only call perf_* if --perf is actually being used
  * yaml: times and system-info are not arrays, but lists


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), libattr1-dev, libkeyutils-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
 Homepage: http://kernel.ubuntu.com/~cking/stress-ng
 
 Package: stress-ng
